Install the .NET Framework

You need to install the .NET Framework to run many apps on Windows. The best versions to install is the .NET Framework 4.6.1. Some apps may required .NET Framework 3.5 SP1. Those two versions should run nearly all .NET apps.

Popular .NET Versions

Developers may want to check out Targeting Dotnet Platforms to learn more about targeting .NET Framework versions.